PG_EXEC()

NAME
pg_exec - send a command to the server

SYNOPSIS

pg_exec conn commandString

DESCRIPTION

pg_exec submits a command to the PostgreSQL server and returns a result. Command result handles start with the connection handle and add a period and a result number.

Note that lack of a Tcl error is not proof that the command succeeded! An error message returned by the server will be processed as a command result with failure status, not by generating a Tcl error in pg_exec.

ARGUMENTS

conn
    The handle of the connection on which to execute the command.

commandString
    The SQL command to execute.

RETURN VALUE

A result handle. A Tcl error will be returned if pgtcl was unable to obtain a server response. Otherwise, a command result object is created and a handle for it is returned. This handle can be passed to pg_result to obtain the results of the command.